Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class JobPersistenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.quartz.SchedulerException
                  org.quartz.JobPersistenceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LockException, NoSuchDelegateException, ObjectAlreadyExistsException

    public class JobPersistenceException

extends SchedulerException

An exception that is thrown to indicate that there has been a failure in the scheduler's underlying persistence mechanism.

Author:
  James House
See Also:
  Serialized Form

Constructor Summary
`JobPersistenceException(String msg)` Create a `JobPersistenceException` with the given message.
`JobPersistenceException(String msg, Throwable cause)` Create a `JobPersistenceException` with the given message and cause.

Method Summary

Methods inherited from class org.quartz.SchedulerException
`getUnderlyingException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobPersistenceException

    public JobPersistenceException(String msg)

  Create a `JobPersistenceException` with the given message.

### JobPersistenceException

    public JobPersistenceException(String msg,
                                   Throwable cause)

  Create a `JobPersistenceException` with the given message and cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.